Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

List several users by IDs.

List several users by IDs. Get several users of the process space by id, including the state of a pending invitation each. Ids that do not resolve to a user are skipped silently, so the result may be shorter than the request.

Security: Any user holding a Bpanda licence for the process space.

POST/v1/warehouses/{warehouseId}/users/byids
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

Request body
requiredapplication/json

IDs of users

Array of string
string
Responses
200

The Users

Array of User
displayNamestringrequired
divisionstringrequired
emailsEMail[]required
Show properties
Array of EMail
typestringrequired
valuestringrequired
favoritesFavorite[]required
Show properties
Array of Favorite
refIdstringrequired
typestringrequired
versioninteger<int64>required
firstnamestringrequired
genderstringrequired
historyHistoryEntry[]required
Show properties
Array of HistoryEntry
idstringrequired
lastVisitedstringrequired
typeHistoryKindrequired
Allowed:Process
valuestringrequired
versioninteger<int64>required
warehouseIdstringrequired
idstringrequired
invitedbooleanrequired
invitedAtstringrequired
lastnamestringrequired
mobilestringrequired
organizationstringrequired
phonestringrequired
preferredLanguagestringrequired
scimEmailstringrequired
telefonestringrequired
thumbnailstringrequired
titlestringrequired
warehouseIdsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/users/byids' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '[
  "string"
]'
Response
[
  {
    "displayName": "string",
    "division": "string",
    "emails": [
      {
        "type": "string",
        "value": "string"
      }
    ],
    "favorites": [
      {
        "refId": "string",
        "type": "string",
        "version": 0
      }
    ],
    "firstname": "string",
    "gender": "string",
    "history": [
      {
        "id": "string",
        "lastVisited": "string",
        "type": "Process",
        "value": "string",
        "version": 0,
        "warehouseId": "string"
      }
    ],
    "id": "string",
    "invited": true,
    "invitedAt": "string",
    "lastname": "string",
    "mobile": "string",
    "organization": "string",
    "phone": "string",
    "preferredLanguage": "string",
    "scimEmail": "string",
    "telefone": "string",
    "thumbnail": "string",
    "title": "string",
    "warehouseIds": [
      "string"
    ]
  }
]